Login
Newsletter
Werbung

Sicherheit: Ende der Unterstützung in Ansible
Aktuelle Meldungen Distributionen
Name: Ende der Unterstützung in Ansible
ID: RHSA-2018:1075-01
Distribution: Red Hat
Plattformen: Red Hat Enterprise Linux Extras
Datum: Di, 10. April 2018, 13:30
Referenzen: https://access.redhat.com/articles/3359651
Applikationen: Ansible

Originalnachricht

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Low: Ansible in the Extras channel - deprecation notice
Advisory ID: RHSA-2018:1075-01
Product: Red Hat Enterprise Linux Extras
Advisory URL: https://access.redhat.com/errata/RHSA-2018:1075
Issue date: 2018-04-10
=====================================================================

1. Summary:

Ansible and its dependencies have been deprecated in the Red Hat Enterprise
Linux 7 Extras channel.

2. Description:

Ansible and its dependencies will no longer be updated through the Extras
channel. Instead, the Red Hat Ansible Engine product has been made
available to Red Hat Enterprise Linux subscriptions and will provide access
to the official Ansible Engine channel. Customers who have previously
installed Ansible and its dependencies from the Extras channel are advised
to enable and update from the Ansible Engine channel, or uninstall the
packages as future errata will not be provided from the Extras channel.

Ansible was previously provided in Extras (for AMD64 and Intel 64
architectures, and IBM POWER, little endian) as a runtime dependency of,
and limited in support to, the Red Hat Enterprise Linux (RHEL) System
Roles. Ansible Engine is available today for AMD64 and Intel 64
architectures, with IBM POWER, little endian availability coming soon.

Note that Ansible in the Extras channel was not a part of the Red Hat
Enterprise Linux FIPS validation process.

The following packages have been deprecated from the Extras channel:

* ansible
* ansible-doc
* libtomcrypt
* libtommath
* libtommath-devel
* python2-crypto
* python2-jmespath
* python-httplib2
* python-paramiko
* python-paramiko-doc
* python-passlib
* sshpass

(BZ#1533106)

Additional information and guidance are provided in the Knowledgebase
article "Ansible deprecated in the Extras channel" linked from the
References section.

3. Solution:

Customers are advised to enable the new Ansible Engine repository and
update from it.

4. Bugs fixed (https://bugzilla.redhat.com/):

1533106 - Ansible deprecation in RHEL 7 Extras

5. References:

https://access.redhat.com/security/updates/classification/#low
https://access.redhat.com/articles/3359651

6. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2018 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFazImAXlSAg2UNWIIRAmFlAJ9umoxhLm0yAfVH06KLYjMXDa5mvACfYSfG
lsksa3TiRDmtoUyJczEpWpY=
=CEVz
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
RHSA-announce@redhat.com
https://www.redhat.com/mailman/listinfo/rhsa-announce
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung